ModifyListener
1. API Description
This API (ModifyListener) is used to modify the properties of a load balance listener, including its name, health check parameters, and forwarding rules. The listening protocol cannot be modified.
2. Input Parameters
The following request parameter list only provides API request parameters.
loadBalancerId
Yes
String
Load balancer ID.
listenerId
Yes
String
The listener ID of the load balancer.
listenerName
No
String
The name of the listener for the load balancer.
It will not be modified if not passed in.
healthCheck
No
The health check for the listener of the load balancer.
It will not be modified if not passed in. To enable or disable it, please set the HealthCheck.enabled field.
scheduler
No
The scheduling method for the listener of the load balancer.
It will not be modified if not passed in.
port
No
String
Listening port.
Multiple ports are separated by commas.
When the port is a range, connect with -, for example: 10000-10005.
The value range of the port is 1 to 65535.
It will not be modified if not specified.
persistent
No
Integer
Session persistence duration, in seconds.
Value range: [0, 3600]
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Modify the name, health check parameters, and forwarding rules of a load balance listener.
5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
404
INVALID_LB_LISTENER_NOT_FOUND
The listener does not exist.
400
INVALID_LISTENER_KIND_NOT_SUPPORT
The specified listener type is not supported in this region.
400
INVALID_LISTENER_PERSISTENT_QUOTA_EXCEED
The session persistence duration of the load balancer listener exceeds the quota.
409
INVALID_LISTENER_PORT_CONFLICT
The port conflicts with another listener.
409
INVALID_LISTENER_PORT_CONFLICT_SELF
The configured port is invalid due to a conflict.
400
INVALID_PORT_FORMAT_ERROR
Invalid port format.
400
INVALID_PORT_RANGE
Invalid port range. The port range should be between 1 and 65535.
Last updated